spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://127.0.0.1:3306/shop-mall?useUnicode=true&serverTimezone=GMT%2B8
      username: xitiansen
      password: RmRDH8xCxDjDjxM5
      initial-size: 10
      max-active: 100
      min-idle: 10
      max-wait: 60000
      pool-prepared-statements: true
      max-pool-prepared-statement-per-connection-size: 20
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      #Oracle需要打开注释
      #validation-query: SELECT 1 FROM DUAL
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
      stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        #login-username: admin
        #login-password: admin
      filter:
        stat:
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: false
        wall:
          config:
            multi-statement-allow: true
  #/www/server/redis/src/redis-server
  redis:
    open: false  # 是否开启redis缓存  true开启   false关闭
    database: 0
    host: 127.0.0.1
    port: 6379
    password: 1qaz@WSX
    timeout: 6000ms
    jedis:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms      # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接
###上传文件配置 :该配置可根据部署的系统或开发人员自定义路径，每次部署之前需要修改location
uploadFile:
  resourceHandler: /upload_flowChart/**   #请求 url 中的资源映射也是保存到数据库中的父级路径
  location: /opt/images/upload_flowChart/ #自定义上传文件服务器硬盘保存路径  ，linux服务器保存路径 /home/changfa/app/wxbjgkpt/upload_flowChart/
file:
  upload:
    path: /opt/images/
jwt:
  # 加密秘钥
  secret: f4e2e52034348f86b67cde581c0f9eb5
  # token有效时长，单位秒
  expire: 14400
logging:
  config: classpath:logback-spring.xml
sms:
  accessKeyId: LTAI4G6xmYPhjrS18Bxz5Kqu
  secret: l3ZuSn2XjsFZXaB3yb8O5ASRJh3DDe
  regionId: cn-hangzhou
  domain: dysmsapi.aliyuncs.com
  version: 2017-05-25
  action: SendSms
  signName: 西田森生物科技

xxl:
  job:
    accessToken:
    admin:
      addresses: http://172.24.252.166:8090/job-admin
    executor:
      address:
      appname: shop-mall
      ip:
      logpath: /var/logs/xxl-job/jobhandler
      logretentiondays: 30
      port: 9999
